Bug 1001811 - Console styles were unavailable during prod release
Console styles were unavailable during prod release
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 15:54 EDT by Clayton Coleman
Modified: 2015-05-14 21:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:48:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-08-27 15:54:13 EDT
During the production release the front proxy is updated with the new version of rhc-site-static, but ex-srvs are not updated until the end.  The site was serving asset URLs based on the old version of rhc-site-static (coming from the manifest in the RPM) but the front proxy no longer had those assets available.

Ideally, we would let the front proxy pass through /app/assets/* if it's not found locally (404 -> ex-srv), but not sure that's possible.

We also need to ensure that the rule for /app/assets-*/* that sets the cache header starts working (we have to use a different setup than currently).
Comment 1 Clayton Coleman 2013-09-09 17:35:40 EDT
Fixed with https://engineering.redhat.com/trac/Libra/wiki/Releases/2.0.33#Comment6clayton

Waiting for validation on INT before proceeding.
Comment 2 Clayton Coleman 2013-09-10 16:42:09 EDT
During stage and prod deployment, console should still have CSS styles.
Comment 3 Yujie Zhang 2013-09-10 23:22:52 EDT
Will test it during STG deployment.
Comment 4 Yujie Zhang 2013-09-11 06:30:56 EDT
Tested on devenv, the console can be displayed correctly when upgrading, so verify this bug.

Note You need to log in before you can comment on or make changes to this bug.